function mImageRecon = ExpandImageRGBMl(cImage,cIndex,vNCoefficients,varargin)

% Wrapper to call ExpandIndexGrey for each colour plain

nColours = 3;

% Initialize temp cell
    cMImageRecon = cell(1,1,3);
%     cMNCnPerBlock = cell(3,1);
% - - > > #

% Call ExpandImageGrey for each colour plain
    for iColour = 1:nColours
        
        % Execute target function
            cMImageRecon{:,:,iColour} = ExpandImageGrey(cImage{iColour},...
                cIndex,vNCoefficients(iColour),varargin{:});
        % - - > > 
        
        % Increment the public key
            varargin{3} = varargin{3} + 1;
        % - - > >
        
    end
% - - > > #

mImageRecon = cell2mat(cMImageRecon);
   