function vRand = RandSum(n,dSum,maxV)
% Attempt To Create n random numbers summing to dSum with min and max value
% 1 and maxV respectivly.


% n random numbers whos sum is 2000
vReal = diff([0 sort(rand(1,n-1)) 1])*dSum;

% round to get integers
vInt = round(vReal);

% If max is not less than maxV reduce all values to a max of this
vInt(vInt > maxV) = maxV;
vInt(vInt < 1) = 1;

sumInt = sum(vInt);

% If sum is below then add 1 to the smallest elements
sumDiff = dSum - sumInt;
if sumDiff ~=  0
    
    % Sort
    [vIntSorted,vISorted] = sort(vInt);
    
    if sumDiff > 0
        
        vIntSorted(1:sumDiff) = vIntSorted(1:sumDiff) + 1;
        
    else
        
        vIntSorted(end+sumDiff+1:end) = vIntSorted(end+sumDiff+1:end) -1;
        
    end
    
    % Unsort
    vRand(vISorted) = vIntSorted;
    
end
    
% Check, if out of bounds or sum incorrect throw error
if min(vRand) < 1 || max(vRand) > maxV || sum(vRand) ~= dSum || numel(vRand)~=n
    error('Random generation with specified sum failed!');
end