function SaveImageRaw(mImage,imagePath,precision)

    % Save the image as a raw file the last 3 elements of which are the image
    % dimensions
    
    % Open or create a file for writing discard existing contents
    % <<--
        fid = fopen(imagePath,'w+');
    % -->>
    
    % Write the image matrix to this file
    % <<--
        count = fwrite(fid,mImage,precision);
    % -->>
    
    % Close the file
    % <<--
        fclose(fid);
    % -->>
    
    % Open the file again to apend size parameters to the end.
    % <<--
        fid = fopen(imagePath,'a');
    % -->>
    
    % Get dimensions of mImage
    % <<--
        [x y z] = size(mImage);
    % -->>
    
    % Write image dimensions to file
    % <<--
        count = fwrite(fid,[x,y,z],precision);
    % -->>
    
    % Close the file
    % <<--
        fclose(fid);
    % -->>
    
end
    


