function cImage = CellImage(mImageFolded,vNRowsImage)

% Places the folded image for each channel into a seperate cell

nImages = numel(vNRowsImage);
cImage = cell(1,nImages);

iMImage = 1;
for iChannel = 1:nImages
    
    nRowsImage = vNRowsImage(iChannel);
    cImage{iChannel}(1:nRowsImage,:) = mImageFolded(iMImage:iMImage+...
        nRowsImage - 1,:);
    
    iMImage = iMImage + nRowsImage;
  
end