% Change to this functions directory
    functionName = mfilename;
    functionPath = which(functionName);
    functionPath = functionPath(1:end-(numel(functionName)+2));
    thisDir = pwd;
    cd(functionPath);
% - - > > #

% Compile and copy OMP
    cd Source_Code/C++/mex_pursuit_functions/OMP2D/
    Compile_OMP2D
    cd(thisDir);

    % Copy OMP2D.mex to the current directory
    source = 'Source_Code/C++/mex_pursuit_functions/OMP2D/Mex/OMP2D_Mex.mex*';
    dest = '.';
    copyfile(source,dest);
    % Change extension
    [pathstr,name,ext] = fileparts(which('OMP2D_Mex'));
    movefile(['OMP2D_Mex' ext],['OMP2D' ext]);
    cd(thisDir);
% - - > > #

% Compile and copy OMPMlSep
    cd Source_Code/C++/mex_pursuit_functions/OMPMlSep/
    Compile_OMPMlSep
    cd(thisDir);

    source = 'Source_Code/C++/mex_pursuit_functions/OMPMlSep/Mex/OMPMlSep_Mex.mex*';
    dest = '.';
    copyfile(source,dest);
    % Change extension
    [pathstr,name,ext] = fileparts(which('OMPMlSep_Mex'));
    movefile(['OMPMlSep_Mex' ext],['OMPMlSep' ext]);
    cd(thisDir);
% - - > > #