function mImageRecon = ExpandImage(cImage,vNRowsImage,cIndex,varargin)

% Forks to the appropriate index expanding routine

% How many images
    nColours = numel(vNRowsImage);
% - - > > #

% RGB image processed seperatly as cells of coefficients
if nColours  == 3 

    PrintWithStars('ExpandImageRGB Routine Called');
    % Each colour plain has its own indexes - RGB processed seperatly
    if iscell(cIndex{1})
        mImageRecon = ExpandImageRGB(cImage,cIndex,varargin{:});
        
    % One set of indexes for all - RGB processed with Ml    
    else
        mImageRecon = ExpandImageRGBMl(cImage,cIndex,varargin{:});
    end

% Grey level image, 1 set of indexes
elseif nColours  == 1
    
    PrintWithStars('ExpandImageGrey Routine Called');
     mImageRecon = ExpandImageGrey(cImage{1},cIndex,varargin{:}) ;
     
end
