function mImageRecon = ExpandImageRGB(cImage,cIndex,vNCoefficients,varargin)

% Wrapper to call ExpandIndexGrey for each colour plain

% Block dimensions
%     nBlocks = nYBlocks*nXBlocks;
%     nPixelsBlock = sBlockDims.indexWidth*sBlockDims.indexHeight;
% - - > >
nColours = 3;

% Initialize temp cell
    cMImageRecon = cell(1,1,3);
% - - > > #

% Call ExpandImageGrey for each colour plain
    for iColour = 1:nColours
        
        % Execute target function
            cMImageRecon{:,:,iColour} = ExpandImageGrey(cImage{iColour},...
                cIndex{iColour},vNCoefficients(iColour),varargin{:});
        % - - > > 
        
        % Increment the public key
            varargin{3} = varargin{3} + 1;
        % - - > >
        
    end
% - - > > #

mImageRecon = cell2mat(cMImageRecon);   