function sImage = LoadSImageRaw(imagePath,precision)

% Loads an image from a raw file.  The last 3 elements of the file are
% the original dimensions

% Load the image
% < < - - #
    mImage = LoadImageRaw(imagePath,precision);
% - - > > #

% Populate sImage structure
% < < - - #
    sImage = SImage;
    [sImage.y sImage.x sImage.z] = size(mImage);
    sImage.actualBitDepth = ApproxBitdepth(mImage);
    sImage.path = imagePath;
    sImage.mImage = mImage;
%     sImage.maxIntensity =  max(mImage(:));
    sImage.maxIntensity = 2^sImage.actualBitDepth-1;
% - - > > #

