function PSNR = PrintPSNR(m1,m2,maxIntensity)

% Calculates and prints out the PSNR and SSIM index

% Due to the maxIntensity being used in the calculation the incorrectly
% recovered images need to rescaled first for the values of PSNR and MSSIM
% to make sense.
    m1 = Rescale(m1,0,2^16-1);
    m2 = Rescale(m2,0,2^16-1);
% - - > >

PSNR = CalcPSNR(m1,m2,maxIntensity);

fprintf('PSNR: %5.2fdB\n',PSNR);