function sPlainText = SPlainText(sImageApprox,sRescaleIndex,sRescaleImage,...
    vNRowsImage,vNRowsIndex)

% Initializes the plain text structure.


% Initialize the plain text variables
% <<--
    % Pull values accross from sImageApprox
        sPlainText.maxIntensity = sImageApprox.maxIntensity;
        sPlainText.nYBlocks = sImageApprox.nYBlocks;
        sPlainText.nXBlocks = sImageApprox.nXBlocks;
        sPlainText.nCoefficients = sImageApprox.nCoefficients;
    % - - > >
    
    % Index rescaling params
        sPlainText.sRescaleIndex = sRescaleIndex;
    % - - > >
    
    % Rows in folded images
    %   Columns are currently the same
        sPlainText.vNRowsImage = vNRowsImage;
        sPlainText.vNRowsIndex = vNRowsIndex;
    % - - > >
    
    % Image rescaling params
        sPlainText.sRescaleImage = sRescaleImage;
    % - - > >
    
